## org.apache.tools.ant.launch
Class Launcher

    java.lang.Object
      |
      +--org.apache.tools.ant.launch.Launcher

public class Launcher
extends java.lang.Object

This is a launcher for Ant.

Since:
  Ant 1.6

Field Summary
`static java.lang.String` `ANTHOME_PROPERTY` The Ant Home property
`static java.lang.String` `ANTLIBDIR_PROPERTY` The Ant Library Directory property
`static java.lang.String` `MAIN_CLASS` The startup class that is to be run
`static java.lang.String` `USER_LIBDIR` The location of a per-user library directory

Constructor Summary
`Launcher()`

Method Summary
`static void` `main(java.lang.String[] args)` Entry point for starting command line Ant

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANTHOME_PROPERTY

    public static final java.lang.String ANTHOME_PROPERTY

  The Ant Home property

  See Also:
    Constant Field Values

### ANTLIBDIR_PROPERTY

    public static final java.lang.String ANTLIBDIR_PROPERTY

  The Ant Library Directory property

  See Also:
    Constant Field Values

### USER_LIBDIR

    public static final java.lang.String USER_LIBDIR

  The location of a per-user library directory

  See Also:
    Constant Field Values

### MAIN_CLASS

    public static final java.lang.String MAIN_CLASS

  The startup class that is to be run

  See Also:
    Constant Field Values

Constructor Detail

### Launcher

    public Launcher()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Entry point for starting command line Ant

  Parameters:
    `args` - commandline arguments

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.